server:
  port: 7000
  servlet:
    context-path: /C

spring:
  application:
    name: mallink
  profiles:
    active: dev
  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: GMT+8
    default-property-inclusion: non_null
  rocketmq:
    nameServer: 127.0.0.1:9876
    producer:
      retry-times-when-send-async-failed: 0
      send-msg-timeout: 300000
      compress-msg-body-over-howmuch: 4096
      max-message-size: 4194304
      retry-another-broker-when-not-store-ok: false
      retry-times-when-send-failed: 2

# MybatisPlus
mybatis-plus:
  mapper-locations: classpath:mapper/*Mapper.xml
  global-config:
    db-config:
      id-type: id_worker
      field-strategy: not_null
      db-type: mysql
  configuration:
    jdbc-type-for-null: 'null'
    cache-enabled: false
    call-setters-on-nulls: true
  type-aliases-package: com.iformall.domain.po

# PageHelper
pagehelper:
    helperDialect: mysql
    reasonable: false
    supportMethodsArguments: true
    params: count=countSql
    offset-as-page-num: true
    page-size-zero: true
    row-bounds-with-count: true

mapper:
  mappers:
    - com.iformall.common.CommonMapper

version: @project.version@